using GLMakie


# this plus fonts below in Theme make all text appear using NewComputerModern font
# taken from: https://discourse.julialang.org/t/makie-jl-latex-ticks-and-other-elements-by-default/102529/4?u=fatteneder
MT = GLMakie.Makie.MathTeXEngine
mt_fonts_dir = joinpath(dirname(pathof(MT)), "..", "assets", "fonts", "NewComputerModern")

theme = Theme(
    Axis=(xticksize=15, xminorticksize=10,
          xtickalign=1, xminortickalign=1,
          xticksmirrored=true, xminorticksmirrored=true,
          xminorticksvisible=true,
          xminorgridvisible=true,
          yticksize=15, yminorticksize=10,
          ytickalign=1, yminortickalign=1,
          yticksmirrored=true, yminorticksmirrored=true,
          yminorticksvisible=true,
          yminorgridvisible=true,
          # xtickformat = "{:.1f}"
    ),
    Legend=(patchsize=(40.0f0,20.0f0),),
    Lines=(linewidth=3,),
    fontsize=30,
    fonts = ( regular = joinpath(mt_fonts_dir, "NewCM10-Regular.otf"),
              bold = joinpath(mt_fonts_dir, "NewCM10-Bold.otf"))
)
colors = [ :red, :green, :blue, :orange, :cyan, :black, :purple ]
linestyles = [ nothing, :dash, :dashdot, :dashdotdot ]

set_theme!(theme)
